Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class GeometricLevyProcess

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.GeometricLevyProcess

Direct Known Subclasses:
  GeometricNormalInverseGaussianProcess

    public abstract class GeometricLevyProcess

extends StochasticProcess

. Abstract class used as a parent class for the exponentiation of a Lévy process X(t):

S(t) = S(0)exp(X(t) + (r - ωRN)t).

The interest is here denoted r and is refered to as `muGeom` in the class below. The risk neutral correction is given by ωRN and takes into account risk aversion in the pricing of assets; its value depends on the specific Lévy process that is used.

`GeometricNormalInverseGaussianProcess` is implemented as a child of this class and so could `GeometricVarianceGammaProcess` and `GeometricBrownianMotion`.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`GeometricLevyProcess()`

Method Summary
`double[]` | `generatePath()` Generates a path.
`StochasticProcess` | `getLevyProcess()` Returns the Lévy process.
`double` | `getMuGeom()` Returns the geometric drift parameter, which is usually the interest rate, r.
`double` | `getOmega()` Returns the risk neutral correction.
`RandomStream` | `getStream()` Returns the stream from the underlying Lévy process.
`double` | `nextObservation()` Returns the next observation.
`void` | `resetRiskNeutralCorrection(double omegaRN)` Changes the value of ωRN.
`void` | `resetStartProcess()` Resets the step counter of the geometric process and the underlying Lévy process to the start value.
`void` | `setMuGeom(double muGeom)` Sets the drift parameter (interest rate) of the geometric term.
`void` | `setObservationTimes(double[] time, int d)` Sets the observation times on the geometric process and the underlying Lévy process.
`void` | `setStream(RandomStream stream)` Resets the stream in the underlying Lévy process.

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`generatePath, getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, setObservationTimes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometricLevyProcess

    public GeometricLevyProcess()

Method Detail

### generatePath

    public double[] generatePath()

  Generates a path.

  Specified by:
    `generatePath` in class `StochasticProcess`

### nextObservation

    public double nextObservation()

  Returns the next observation. It will also work on a Lévy process which is sampled using the bridge order, but it will return the observations in the bridge order. If the underlying Lévy process is of the PCA type, this method is not usable.

  Overrides:
    `nextObservation` in class `StochasticProcess`

### resetStartProcess

    public void resetStartProcess()

  Resets the step counter of the geometric process and the underlying Lévy process to the start value.

  Overrides:
    `resetStartProcess` in class `StochasticProcess`

### setObservationTimes

    public void setObservationTimes(double[] time,
                                    int d)

  Sets the observation times on the geometric process and the underlying Lévy process.

  Overrides:
    `setObservationTimes` in class `StochasticProcess`

### getOmega

    public double getOmega()

  Returns the risk neutral correction.

### getMuGeom

    public double getMuGeom()

  Returns the geometric drift parameter, which is usually the interest rate, r.

### setMuGeom

    public void setMuGeom(double muGeom)

  Sets the drift parameter (interest rate) of the geometric term.

### getLevyProcess

    public StochasticProcess getLevyProcess()

  Returns the Lévy process.

### resetRiskNeutralCorrection

    public void resetRiskNeutralCorrection(double omegaRN)

  Changes the value of ωRN. There should usually be no need to redefine the risk neutral correction from the value set by the constructor. However it is sometimes not unique, e.g. in `GeometricNormalInverseGaussianProcess`.

### getStream

    public RandomStream getStream()

  Returns the stream from the underlying Lévy process. If the underlying Lévy process has multiple streams, it returns what the `getStream()` method of that process was made to return.

  Specified by:
    `getStream` in class `StochasticProcess`

### setStream

    public void setStream(RandomStream stream)

  Resets the stream in the underlying Lévy process. If the underlying Lévy process has multiple streams, it sets the streams on this process in the same way as `setStream()` for that process.

  Specified by:
    `setStream` in class `StochasticProcess`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.